Bug 129043 - XItemListener::itemStateChanged not fired when changing selection with arrows
Summary: XItemListener::itemStateChanged not fired when changing selection with arrows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-26 15:49 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-02-01 11:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bugdoc ItemStateChanged_Test.odt (11.19 KB, application/vnd.oasis.opendocument.text)
2019-11-26 15:49 UTC, Samuel Mehrbrodt (CIB)
Details
ItemStateChanged_Test_no_dropdown.odt (11.99 KB, application/vnd.oasis.opendocument.text)
2019-11-26 18:00 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-11-26 15:49:45 UTC
Created attachment 156129 [details]
Bugdoc ItemStateChanged_Test.odt

1. open attached file ItemStateChanged_Test.odt
2. run macro (main)
3. change value in combobox with arrows
    

Expected: On each change a the itemStateChanged should be fired (and a message box displayed)

Actual: No itemStateChanged called, only when changing selection with the mouse.
Comment 1 Oliver Brinzing 2019-11-26 18:00:01 UTC
Created attachment 156131 [details]
ItemStateChanged_Test_no_dropdown.odt
Comment 2 Samuel Mehrbrodt (CIB) 2019-11-27 08:53:57 UTC
Thanks for the additional sample.
Another thing that does not work is selecting an entry by typing the letters, then hitting return (no event submitted).
Comment 3 Commit Notification 2019-11-28 10:21:22 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7de9417d5f65d35227c7f80f6d587c2a56bde4e0

tdf#129043 Correctly deliver combo box events when used with keyboard

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-12-03 06:48:06 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e9ced64ffac0752e2bbd2879ea267116502606fc

tdf#129043 Correctly deliver combo box events when used with keyboard

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-12-16 14:07:35 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/00404ef77ab1a6a4c0e10be54c14649a8a66edbe

tdf#129043 Correctly deliver combo box events when used with keyboard

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.